function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { ToolboxComponent } from "echarts/components";
import { FunnelChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { funnel } from "@xmweb-ui/vue-renderless/chart-funnel/index";
import { funnel as funnel2 } from "@xmweb-ui/vue-renderless/chart-funnel/index";
import Core from "@xmweb-ui/vue-chart-core";
import { defineComponent, $prefix } from "@xmweb-ui/vue-common";
echarts.use([ToolboxComponent, FunnelChart, CanvasRenderer]);
var Funnel = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartFunnel",
  data: function data() {
    this.chartHandler = funnel;
    return {};
  }
}));
var version = "2.8.0";
Funnel.install = function(Vue) {
  Vue.component(Funnel.name, Funnel);
};
Funnel.version = version;
export {
  Funnel as default,
  funnel2 as funnel
};
